Overview of the sessions in a date range
Authorizations
Enter your personal access token (PAT) to authenticate
Path Parameters
The UUID of the workspace
"123e4567-e89b-12d3-a456-426614174000"
Query Parameters
Only include sessions matching this segment UUID
"123e4567-e89b-12d3-a456-426614174000"
The specific date to filter sessions. Cannot be used together with date_from/date_to.
"2025-03-01"
Start date for filtering sessions (inclusive).
"2025-03-01"
End date for filtering sessions (inclusive).
"2025-03-10"
Filter sessions where the visited URL contains the given string.
"checkout"
Filter sessions where the referrer contains the given string.
"google.com"
The page number for pagination.
1
Number of sessions per page (1-1000).
1 <= x <= 100010
Response
List of sessions. When more than organisation_limit organisations match the date range, the response is truncated to the most-recently-active organisations and truncated is set to true. The caller can use the per-organisation sessions endpoint to backfill any orgs beyond the cap.
1
10
15
150
"https://api.example.com/v1/workspaces?page=2"
null
"https://api.example.com/v1/workspaces?page=1"
"https://api.example.com/v1/workspaces?page=10"
"https://api.example.com/v1/workspaces"
1
15
true
True when the organisation set was capped to organisation_limit.
false
Total number of organisations matching the filter, before any cap.
42
Maximum number of organisations included in a single response.
10000